Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.cetask
Class Utils.CopyOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              edu.wpi.cetask.Utils.CopyOutputStream

All Implemented Interfaces:
  Closeable, Flushable

Enclosing class:
  Utils

    public static class Utils.CopyOutputStream

extends FilterOutputStream

For use in overriding `System.out` and `System.err`. For example:
`System.setOut(new PrintStream(new CopyOutputStream(System.out, myOutputStream), true));`

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`Utils.CopyOutputStream(OutputStream stream, OutputStream copy)`

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `write(byte[] buffer)`
`void` | `write(byte[] buffer, int offset, int count)`
`void` | `write(int oneByte)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Utils.CopyOutputStream

    public Utils.CopyOutputStream(OutputStream stream,
                                  OutputStream copy)

Method Detail

### write

    public void write(int oneByte)
               throws IOException

  Overrides:
    `write` in class `FilterOutputStream`
  Throws:
    `IOException`

### write

    public void write(byte[] buffer)
               throws IOException

  Overrides:
    `write` in class `FilterOutputStream`
  Throws:
    `IOException`

### write

    public void write(byte[] buffer,
                      int offset,
                      int count)
               throws IOException

  Overrides:
    `write` in class `FilterOutputStream`
  Throws:
    `IOException`

### flush

    public void flush()
               throws IOException

  Specified by:
    `flush` in interface `Flushable`
  Overrides:
    `flush` in class `FilterOutputStream`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `FilterOutputStream`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD